import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { _accountAdd, _accountCharge, _accountAdminCharge } from '@/api/accountManage'
import { reformateObjectRes } from '@/utils/index'

const useAccountManageStore = defineStore('accountManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 账号 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 20
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 21
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 22
        _up(data)
          .then((res) => {
            resolve(res)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 23
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 开通用户账号
    accountAdd(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 83
        _accountAdd(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 审核用户账号
    accountExamine(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 86
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 充值用户账号 - 商户
    accountCharge(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 87
        _accountCharge(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 充值用户账号 - 管理员
    accountAdminCharge(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 167
        _accountAdminCharge(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

  },
})

export default useAccountManageStore
